Skip to content

Add document renditions in bulk. You must first load the renditions to the file staging server.

  • Your Vault must be in Migration Mode.
  • The maximum CSV input file size is 1GB.
  • The values in the input must be UTF-8 encoded.
  • CSVs must follow the standard format.
  • The maximum batch size is 500.
POST/api/{version}/objects/documents/renditions/batch
NameDescription
Content-Typetext/csv
Acceptapplication/json (default) or text/csv
NameDescription
fileThe filepath of the rendition on the file staging server.
idThe system-assigned document ID of the document to add renditions to.
external_id__vOptional: Instead of id, you can use this user-defined document external ID.
rendition_type__vDocument rendition type to assign to the new rendition. Only one rendition of each type may exist on each document.
major_version_number__vMajor version number to assign to the new document rendition.
minor_version_number__vMinor version number to assign to the new document rendition.
NameDescription
idParamIf you're identifying documents in your input by their external ID, add idParam=external_id__v to the request endpoint.
Download Input File
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: text/csv" \ -H "Accept: text/csv" \ --data-binary @"C:\Vault\Documents\add_document_renditions.csv" \ https://myvault.veevavault.com/api/v18.3/objects/documents/renditions/batch
{ "responseStatus": "SUCCESS", "data": [ { "responseStatus": "SUCCESS", "id": 771, "external_id__v": "ALT-DOC-0771", "major_version_number__v": 0, "minor_version_number__v": 2, "rendition_type__c": "imported_rendition__c" }, { "responseStatus": "SUCCESS", "id": 772, "external_id__v": "CHO-DOC-0772", "major_version_number__v": 0, "minor_version_number__v": 2, "rendition_type__c": "imported_rendition__c" }, { "responseStatus": "SUCCESS", "id": 773, "external_id__v": "GLU-DOC-0773", "major_version_number__v": 1, "minor_version_number__v": 0, "rendition_type__c": "imported_rendition__c" }, { "responseStatus": "FAILURE", "errors": [ { "type": "INVALID_DATA", "message": "Error message describing why this document rendition was not added." } ] } ] }